# Interface methods for submodule: KernelImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BoxImageFilterProxy as _BoxImageFilterProxy


# Interface methods for class: KernelImageFilter
class KernelImageFilterProxy(_BoxImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetKernel(self, kernel) -> None:
		""""""
		...

	@overload
	def SetKernel(self, kernel: FlatStructuringElement) -> None:
		""""""
		...

	@overload
	def GetKernel(self):
		""""""
		...

	@overload
	def GetKernel(self) -> FlatStructuringElement:
		""""""
		...

	@overload
	def SetRadius(self, radius: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetRadius(self, radius: int) -> None:
		""""""
		...

